summaryrefslogtreecommitdiff
path: root/helpers/lh_binary_linux-image
diff options
context:
space:
mode:
Diffstat (limited to 'helpers/lh_binary_linux-image')
-rwxr-xr-xhelpers/lh_binary_linux-image100
1 files changed, 100 insertions, 0 deletions
diff --git a/helpers/lh_binary_linux-image b/helpers/lh_binary_linux-image
new file mode 100755
index 0000000..c7e5dd6
--- /dev/null
+++ b/helpers/lh_binary_linux-image
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# lh_binary_linux-image(1) - install linux-image into binary
+# Copyright (C) 2006-2007 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Source common functions
+for FUNCTION in /usr/share/live-helper/functions/*.sh
+do
+ . ${FUNCTION}
+done
+
+# Set static variables
+DESCRIPTION="install linux-image into binary"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+Echo_debug "Init ${PROGRAM}"
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/bootstrap
+Read_conffile config/chroot
+Read_conffile config/binary
+Read_conffile config/source
+Set_defaults
+
+Breakpoint "binary_linux-image: Init"
+
+# Requiring stage file
+Require_stagefile .stage/bootstrap
+
+# Checking stage file
+Check_stagefile .stage/binary_linux-image
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+# Removing initrd backup files
+rm -f chroot/boot/initrd*bak*
+
+# Setting destination directory
+case "${LIVE_BINARY_IMAGES}" in
+ iso)
+ DESTDIR="binary/live"
+ ;;
+
+ net)
+ DESTDIR="tftpboot"
+ ;;
+
+ usb-hdd|hdd)
+ DESTDIR="binary/live"
+ ;;
+esac
+
+# Temporary check for broken syslinux
+if [ "${LIVE_BINARY_IMAGES}" = "iso" ]
+then
+ # Assemble multi-arch
+ if [ -n "${MULTIARCH}" ]
+ then
+ case "${LIVE_ARCHITECTURE}" in
+ amd64)
+ DESTDIR="${DESTDIR}.amd"
+ ;;
+
+ i386)
+ DESTDIR="${DESTDIR}.386"
+ ;;
+
+ powerpc)
+ DESTDIR="${DESTDIR}.ppc"
+ ;;
+ esac
+ fi
+fi
+
+# Creating directory
+if [ ! -d "${DESTDIR}" ]
+then
+ mkdir -p "${DESTDIR}"
+fi
+
+# Installing linux-image
+cp chroot/boot/vmlinuz* "${DESTDIR}"
+cp chroot/boot/initrd.img* "${DESTDIR}"
+
+# Creating stage file
+Create_stagefile .stage/binary_linux-image